Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"email": "<string>",
"chatHistory": [
{
"role": "system",
"content": "<string>",
"citations": [
"<string>"
],
"timestamp": 123,
"messageType": "message",
"humanInputData": {},
"promptResponseData": {},
"toolActivities": [
{}
],
"thinkingText": "<string>",
"scopedChatData": {},
"inlineButtonsData": {},
"messageNotificationData": {},
"workflowInvitationData": {
"title": "<string>",
"description": "<string>",
"started": true
},
"entryPromptData": {
"prompt": "<unknown>",
"isReminder": true,
"filledValues": {}
}
}
],
"dataSourceName": "<string>",
"dataSourceType": "<string>",
"dataSourceId": "<string>",
"chatId": "<string>",
"aiOptions": {
"maxTokens": 123,
"topP": 123,
"temperature": 123,
"topNDocuments": 123,
"systemPrompt": "<string>",
"filter": "<string>"
},
"title": "<string>",
"chatTitle": "<string>",
"isWorkspace": true,
"hasHumanInput": true,
"humanInputCount": 123,
"promptIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"_ts": 123
}
],
"summaries": [
{
"id": "<string>",
"chatId": "<string>",
"email": "<string>",
"title": "<string>",
"dataSourceId": "<string>",
"dataSourceType": "<string>",
"isWorkspace": true,
"messageCount": 123,
"timestamp": 123,
"createdAt": "<string>",
"chatTitle": "<string>",
"dataSourceName": "<string>"
}
],
"pagination": {
"currentPage": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
},
"filterOptions": {
"dataSourceTypes": [
"<string>"
],
"chats": [
{
"id": "<string>",
"title": "<string>",
"dataSourceType": "<string>"
}
],
"dataSourceNames": [
"<string>"
],
"userEmails": [
"<string>"
]
}
}Admin
Get all chat logs (admin)
Returns chat history logs from all users. Requires admin role.
GET
/
admin
/
chatlogs
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"email": "<string>",
"chatHistory": [
{
"role": "system",
"content": "<string>",
"citations": [
"<string>"
],
"timestamp": 123,
"messageType": "message",
"humanInputData": {},
"promptResponseData": {},
"toolActivities": [
{}
],
"thinkingText": "<string>",
"scopedChatData": {},
"inlineButtonsData": {},
"messageNotificationData": {},
"workflowInvitationData": {
"title": "<string>",
"description": "<string>",
"started": true
},
"entryPromptData": {
"prompt": "<unknown>",
"isReminder": true,
"filledValues": {}
}
}
],
"dataSourceName": "<string>",
"dataSourceType": "<string>",
"dataSourceId": "<string>",
"chatId": "<string>",
"aiOptions": {
"maxTokens": 123,
"topP": 123,
"temperature": 123,
"topNDocuments": 123,
"systemPrompt": "<string>",
"filter": "<string>"
},
"title": "<string>",
"chatTitle": "<string>",
"isWorkspace": true,
"hasHumanInput": true,
"humanInputCount": 123,
"promptIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"_ts": 123
}
],
"summaries": [
{
"id": "<string>",
"chatId": "<string>",
"email": "<string>",
"title": "<string>",
"dataSourceId": "<string>",
"dataSourceType": "<string>",
"isWorkspace": true,
"messageCount": 123,
"timestamp": 123,
"createdAt": "<string>",
"chatTitle": "<string>",
"dataSourceName": "<string>"
}
],
"pagination": {
"currentPage": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
},
"filterOptions": {
"dataSourceTypes": [
"<string>"
],
"chats": [
{
"id": "<string>",
"title": "<string>",
"dataSourceType": "<string>"
}
],
"dataSourceNames": [
"<string>"
],
"userEmails": [
"<string>"
]
}
}Authorizations
Azure AD access token obtained via MSAL
Query Parameters
Page number
Items per page
Filter by start date
Filter by end date
Filter by chat ID
Filter by data source type
Filter by data source name
Filter by user email
Full-text search keyword
Response
Paginated chat logs across all users (full documents in data plus summaries)
Paginated chat log list response (full documents + summaries + filter options)
Full chat log documents for rehydration (empty when summariesOnly=true)
Show child attributes
Show child attributes
Table-ready summaries for the same page of results
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Dropdown filter options (null when summariesOnly=true)
Show child attributes
Show child attributes
Was this page helpful?